@import "../base/variable.scss";
@import "../base/mixins.scss";

.btn-checkbox{
	position: relative;
	border: 0;
	padding: 0;
	margin: 0;
	color: $black;
	font-size: 12px;
	border-radius: 0px;
	input{
		position: absolute;
		top: 0;
		right: 0;
		margin-right: 7px;
		margin-top: -5px;
		opacity: 0;
		z-index: 2;
	}
	.active_border{
		display: block;
		border: 0px solid #CECECE;
		padding: 5px 10px;
		color: $black;
		font-size: 12px;
		border-radius: 5px;
	}
	input[type=checkbox]:checked + .active_border{
		background-color: $purple;
   		border: 0px solid $dark-green;
   		color: $white;
	}
	input[type=radio]:checked + .active_border{
		background-color: $purple;
   		border: 0px solid $dark-green;
   		color: $white;
	}
}

.btn-checkbox{
	&.mind-checkbox{
		display: block;
	   	.active_border{
	   		border: 1px solid #000;
	   		width: auto;
			border-radius: 50px;
			padding: 10px 30px;
			margin: 0;
			font-size: 16px;
	   	}
	   	input[type=radio]:checked + .active_border{
	   		background-color: #737373;
			color: $white;
			border: 1px solid;
			border-color: #737373;
	   	}
	   	input[type=checkbox]:checked + .active_border{
	   		background-color: #737373;
			color: $white;
			border: 1px solid;
			border-color: #737373;
	   	}
   	}
}


.custom-control{
    position: relative;
    display: block;
    min-height: 1.5rem;
    padding-left: 25px;
    .custom-control-label{
        position: relative;
        margin-bottom: 0;
        vertical-align: top;
        &:before{
            position: absolute;
            content: '';
            top: 0.25rem;
            left: -1.5rem;
            display: block;
            width: 17px;
            height: 17px;
            pointer-events: none;
            background-color: transparent;
            border: #adb5bd solid 2px;
        }
        &:after{
            position: absolute;
            content: '';
            top: 0.25rem;
            left: -1.5rem;
            display: block;
            width: 17px;
            height: 17px;
            background: no-repeat 50%/50% 50%;
        }
    }
}
.custom-control{
    &.custom-checkbox{
        .custom-control-input{
            position: absolute;
            left: 0;
            z-index: -1;
            width: 18px;
            height: 18px;
            opacity: 0;
            box-sizing: border-box;
            padding: 0;
            margin-top: 2px;
        }
        .custom-control-label{
            font-size: 16px;
            color: $black;
            padding-left: 10px;
            &:before{
                top: 2px;
                border-radius: 3px;
                height: 20px;
                width: 20px;
                box-shadow: none;
                text-decoration: none;
                outline: none;
                border: 2px solid $checkboxes;
                background-color: $checkboxes;
            }
            &:after{
                top: 2px;
                border-radius: 3px;
                height: 20px;
                width: 20px;
                box-shadow: none;
                text-decoration: none;
                outline: none;
            }
        }
    }
}
.custom-control-input:checked~.custom-control-label::before{
	background-color: $primary_color;
	border-color: $primary_color;
	box-shadow: none;
	text-decoration: none;
	outline: none;
}

.custom-checkbox .custom-control-input:checked~.custom-control-label::after{
    background-image: url('../images/checkbox.png');
    background-repeat: no-repeat;
    background-size: 12px;
}
.form-check{
    padding-left: 0;
}
.form-check-input{
    border: 4px solid transparent;
}
.form-check-input:checked[type=radio]{
    background-image: url(../images/Ellipse-70.png);
    background-size: 27px;
    border: 4px solid rgba($color: $input, $alpha: 0.7);
}

.custom-control-radio{
 &.custom-radio{
    [type="radio"]:checked,
    [type="radio"]:not(:checked) {
        position: absolute;
        left: -9999px;
    }
    [type="radio"]:checked + label,
    [type="radio"]:not(:checked) + label
    {
        position: relative;
        padding-left: rem(28);
        cursor: pointer;
        line-height: rem(20);
        font-weight: 500;
        display: inline-block;
    }
    [type="radio"]:checked + label:before,
    [type="radio"]:not(:checked) + label:before {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: rem(18);
        height: rem(18);
        border: rem(1) solid $input;
        border-radius: 100%;
        background: $input;
    }
    [type="radio"]:checked + label:after,
    [type="radio"]:not(:checked) + label:after {
        content: '';
        width: rem(10);
        height: rem(10);
        background: $primary-color;
        position: absolute;
        top: rem(4);
        left: rem(4);
        border-radius: 100%;
        -webkit-transition: all 0.2s ease;
        transition: all 0.2s ease;
    }
    [type="radio"]:not(:checked) + label:after {
        opacity: 0;
        -webkit-transform: scale(0);
        transform: scale(0);
    }
    [type="radio"]:checked + label:after {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    [type="radio"]:checked + label::before {
    }
 }
}



.switch{
    position: relative;
    display: inline-block;
    width: 40px;
    height: 20px;
    border-radius: 20px;
    border: 1px solid $white;
    float: right;
    input { 
        opacity: 0;
        width: 0;
        height: 0;
    }
    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #F2F2F2;
        -webkit-transition: .4s;
        transition: .4s;
        border-radius: 20px;
        &:before {
            position: absolute;
            content: "";
            height: 100%;
            width: 17px;
            left: 0px;
            bottom: 0px;
            border-radius: 50%;
            background-color: #DCDCDC;
            -webkit-transition: .4s;
            transition: .4s;
        }
        &.round {
            border-radius: 34px;
            &:before {
                border-radius: 50%;
            }
        }
    }
    input:checked + .slider {
        background-color: #F2F2F2;
    } 
    input:focus + .slider {
        //box-shadow: 0 0 1px #2196F3;
    } 
    input:checked + .slider:before {
        -webkit-transform: translateX(31px);
        -ms-transform: translateX(31px);
        transform: translateX(31px);
        background-color: #F15A29;
    }
}




/* Extra Huge large desktops */
@media (min-width: 3891px) and (max-width: 5120px) {}

/* Extra Huge large desktops */
@media (min-width: 3831px) and (max-width: 3891px) {}

/* Extra Huge large desktops */
@media (min-width: 2840px) and (max-width: 3831px) {
    .custom-control{
        &.custom-checkbox{
            .custom-control-input{
                position: absolute;
                left: 0;
                z-index: -1;
                width: 40px;
                height: 40px;
                opacity: 0;
                box-sizing: border-box;
                padding: 0;
                margin-top: 2px;
            }
            .custom-control-label{
                font-size: 50px;
                color: $black;
                padding-left: 70px;
                &:before{
                    top: 16px;
                    height: 50px;
                    width: 50px;
                }
                &:after{
                    top: 16px;
                    height: 50px;
                    width: 50px;
                }
            }
        }
    }
    .custom-checkbox .custom-control-input:checked~.custom-control-label::after{
        background-image: url('../images/checkbox.png');
        background-repeat: no-repeat;
        background-size: 30px;
    }
}
/* Extra Huge large desktops */
@media (min-width: 2560px) and (max-width: 3850px) {}

/* Extra Huge large desktops */
@media (min-width: 1921px) and (max-width: 2560px) {}


/* Extra Huge large desktops */
@media (min-width: 1920px){
    .btn-checkbox{
    	.custom_check{
    		height: 15px;
    		width: 15px;
    		margin-top: -8px;
    		i{
    			font-size: 8px;
    		}
    	}
    	.active_border{
    		font-size: 14px;
    	}
    }
    .custom-radio{
    	.custom-control-label{
    		font-size: 14px;
    	}
    }
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1500px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
	
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
	
}

/* Landscape phones and portrait tablets */
@media (min-width: 544px) and (max-width: 767px) {
	
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 543px) {
	
}

/* Smaller phones */
@media (max-width: 360px) {
	
}

/* Smaller phones */
@media (max-width: 320px) {
    
}